import { IApi } from '@umijs/max'

export default (api: IApi) => {
  api.addHTMLHeadScripts(() => {
    return process.env.NODE_ENV === 'development'
      ? []
      : [
          'https://d2.smartcost.com.cn/cach/cld/react18.1.0/react.production.min.js',
          'https://d2.smartcost.com.cn/cach/cld/react18.1.0/react-dom.production.min.js'
        ]
  })
  api.modifyHTML($ => {
    $('meta[name=viewport]').remove()
    return $
  })
  api.modifyHTML($ => {
    $('html').attr('translate', 'no')
    return $
  })
}
